#!/bin/sh
export PATH='/usr/local/sbin:/usr/local/bin:/usr/bin:/usr/bin/site_perl:/usr/bin/vendor_perl:/usr/bin/core_perl'
printf '%s' 'name:                 lsp
version:              1.4.0.0
visibility:           public
id:                   lsp-1.4.0.0-1NGHn7lbTT5EotHq5fGVhE
key:                  lsp-1.4.0.0-1NGHn7lbTT5EotHq5fGVhE
license:              MIT
copyright:            Alan Zimmerman, 2016-2021
maintainer:           alan.zimm@gmail.com
author:               Alan Zimmerman
homepage:             https://github.com/haskell/lsp
synopsis:             Haskell library for the Microsoft Language Server Protocol
description:
    An implementation of the types, and basic message server to
    allow language implementors to support the Language Server
    Protocol for their specific language.

    An example of this is for Haskell via the Haskell Language
    Server, at https://github.com/haskell/haskell-language-server

category:             Development
abi:                  eec662d3bd337d55851ccc6a6bb5bab1
exposed:              True
exposed-modules:
    Language.LSP.Diagnostics, Language.LSP.Server,
    Language.LSP.Types from lsp-types-1.4.0.1-BxWh8NXGYNnG6R5MyLFKji:Language.LSP.Types,
    Language.LSP.Types.Capabilities from lsp-types-1.4.0.1-BxWh8NXGYNnG6R5MyLFKji:Language.LSP.Types.Capabilities,
    Language.LSP.Types.Lens from lsp-types-1.4.0.1-BxWh8NXGYNnG6R5MyLFKji:Language.LSP.Types.Lens,
    Language.LSP.VFS from lsp-types-1.4.0.1-BxWh8NXGYNnG6R5MyLFKji:Language.LSP.VFS

hidden-modules:
    Language.LSP.Server.Core Language.LSP.Server.Control
    Language.LSP.Server.Processing

import-dirs:          /usr/lib/ghc-9.4.8/site-local/lsp-1.4.0.0
library-dirs:         /usr/lib/ghc-9.4.8/site-local/lsp-1.4.0.0
library-dirs-static:  /usr/lib/ghc-9.4.8/site-local/lsp-1.4.0.0
dynamic-library-dirs: /usr/lib
data-dir:             /usr/share/haskell-lsp1.4
hs-libraries:         HSlsp-1.4.0.0-1NGHn7lbTT5EotHq5fGVhE
depends:
    aeson-2.1.2.1-JUxXPniSz0YG5YB65a9rRK
    async-2.2.5-Is7oRSeLDZl4BZOR8rLrw9
    attoparsec-0.14.4-Luop1orKt9t9BafG3iOzeM base-4.17.2.1
    bytestring-0.11.5.3 containers-0.6.7
    data-default-0.7.1.1-1yOEWF3Vf5X1WkNQ8K9cH3 exceptions-0.10.5
    hashable-1.4.4.0-KhxIO0xb5fm20tEUmKRa81
    hslogger-1.3.1.2-4tFla1f3t3nI17cslqItDa
    lens-5.2.3-7xTAGVF8ixt9yux1447c6O
    lsp-types-1.4.0.1-BxWh8NXGYNnG6R5MyLFKji mtl-2.2.2
    network-uri-2.6.4.2-7DNDQQRpBGt6p9B807KVRo
    random-1.2.1.2-HAosTYlC80LEhYMYrhWYyP
    scientific-0.3.7.0-IsfwCFhwen9DG7Ev9wrVyZ
    sorted-list-0.2.3.1-GielfxyAY9TItU74EW4Wh2 stm-2.5.1.0 text-2.0.2
    time-1.12.2 transformers-0.5.6.2
    unliftio-core-0.2.1.0-1JwPsdkrVim6892Z5vBeIT
    unordered-containers-0.2.20-1FuCl8JL5xL639QhRwjqcc
    uuid-1.3.16-AV0RJ5lEC5qGD8ftqWWH7c

haddock-interfaces:   /usr/share/doc/haskell-lsp1.4/html/lsp.haddock
haddock-html:         /usr/share/doc/haskell-lsp1.4/html
' | '/usr/bin/ghc-pkg-9.4.8' 'update' '--force' '-' '--global' '--no-user-package-db' "$@"

